Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.geoloc.service.fulltextsearch
Enum FullTextFields

    java.lang.Object
      java.lang.Enum<FullTextFields>
          com.gisgraphy.domain.geoloc.service.fulltextsearch.FullTextFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FullTextFields>

    public enum FullTextFields

extends java.lang.Enum<FullTextFields>

All the declared fields in Solr

Author:
  David Masclet

Enum Constant Summary
`ADM1CODE`
`ADM1NAME`
`ADM2CODE`
`ADM2NAME`
`ADM3CODE`
`ADM3NAME`
`ADM4CODE`
`ADM4NAME`
`ALL_ADM1_NAME`
`ALL_ADM2_NAME`
`ALL_COUNTRY_NAME`
`ALL_NAME`
`ALTERNATE_NAME_DYNA_SUFFIX`
`ALTERNATE_NAME_SUFFIX`
`COUNTRY_FLAG_URL`
`COUNTRYCODE`
`COUNTRYNAME`
`ELEVATION`
`FEATURECLASS`
`FEATURECODE`
`FEATUREID`
`FULLY_QUALIFIED_NAME`
`GOOGLE_MAP_URL`
`GTOPO30`
`LAT`
`LONG`
`NAME`
`NAMEASCII`
`PLACETYPE`
`PLACETYPECLASS`
`PLACETYPECLASS_SUFFIX`
`POPULATION`
`TIMEZONE`
`YAHOO_MAP_URL`
`ZIPCODE`

Method Summary
`java.lang.String` | `getValue()` Get the value of the fulltext field in the schema.xml
`static FullTextFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FullTextFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FEATUREID

    public static final FullTextFields FEATUREID

### FEATURECLASS

    public static final FullTextFields FEATURECLASS

### FEATURECODE

    public static final FullTextFields FEATURECODE

### NAME

    public static final FullTextFields NAME

### NAMEASCII

    public static final FullTextFields NAMEASCII

### ELEVATION

    public static final FullTextFields ELEVATION

### GTOPO30

    public static final FullTextFields GTOPO30

### TIMEZONE

    public static final FullTextFields TIMEZONE

### ALL_NAME

    public static final FullTextFields ALL_NAME

### FULLY_QUALIFIED_NAME

    public static final FullTextFields FULLY_QUALIFIED_NAME

### PLACETYPE

    public static final FullTextFields PLACETYPE

### PLACETYPECLASS

    public static final FullTextFields PLACETYPECLASS

### PLACETYPECLASS_SUFFIX

    public static final FullTextFields PLACETYPECLASS_SUFFIX

### POPULATION

    public static final FullTextFields POPULATION

### LAT

    public static final FullTextFields LAT

### LONG

    public static final FullTextFields LONG

### ADM1CODE

    public static final FullTextFields ADM1CODE

### ADM2CODE

    public static final FullTextFields ADM2CODE

### ADM3CODE

    public static final FullTextFields ADM3CODE

### ADM4CODE

    public static final FullTextFields ADM4CODE

### ADM1NAME

    public static final FullTextFields ADM1NAME

### ALL_ADM1_NAME

    public static final FullTextFields ALL_ADM1_NAME

### ADM2NAME

    public static final FullTextFields ADM2NAME

### ALL_ADM2_NAME

    public static final FullTextFields ALL_ADM2_NAME

### ADM3NAME

    public static final FullTextFields ADM3NAME

### ADM4NAME

    public static final FullTextFields ADM4NAME

### ZIPCODE

    public static final FullTextFields ZIPCODE

### COUNTRYCODE

    public static final FullTextFields COUNTRYCODE

### COUNTRYNAME

    public static final FullTextFields COUNTRYNAME

### ALL_COUNTRY_NAME

    public static final FullTextFields ALL_COUNTRY_NAME

### ALTERNATE_NAME_SUFFIX

    public static final FullTextFields ALTERNATE_NAME_SUFFIX

### ALTERNATE_NAME_DYNA_SUFFIX

    public static final FullTextFields ALTERNATE_NAME_DYNA_SUFFIX

### COUNTRY_FLAG_URL

    public static final FullTextFields COUNTRY_FLAG_URL

### GOOGLE_MAP_URL

    public static final FullTextFields GOOGLE_MAP_URL

### YAHOO_MAP_URL

    public static final FullTextFields YAHOO_MAP_URL

Method Detail

### values

    public static final FullTextFields[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FullTextFields c : FullTextFields.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FullTextFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public java.lang.String getValue()

  Get the value of the fulltext field in the schema.xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.